Security is Important!

The most important reason to keep your browser up-to-date is to keep your computer safe and secure, protecting you from identity theft, phishing attacks, viruses, trojans, spyware, adware, and other sorts of malware. Many browser updates are issued to combat just these problems.


Additionally, as browsers and technology are updated, tools and business take advantage of these features and technologies. If your browser is not up-to-date, you will not be able to use many of the functionalities these tools offer.


Recommended Browsers

The following browsers are the most compatible across all systems and technologies used at Lesley.


Chrome

Generally speaking, Chrome is set to auto-update. If you haven't closed your browser in a while or if you have changed your settings to prevent automatic updates, you can update Google Chrome manually.


Firefox

Generally speaking, Firefox is set to auto-update. If you haven't closed your browser in a while or if you have changed your settings to prevent automatic updates, you can update Firefox manually.



Additional Browsers

The following browsers are not recommended for academic technology tools (myLesley, VoiceThread, Collaborate Ultra, Kaltura, etc.) but may be required for other tools or applications.


Microsoft Edge

Microsoft Edge comes standard with Windows 10 computers. The new version of the Edge browser must be downloaded from Microsoft and manually installed. 


Safari

Safari comes standard with MacOS and iOS devices. Your computer or mobile device will regularly check for updates and prompt you to install updates as found. 


Internet Explorer

Internet Explorer 11 is the only version that is currently supported. Unless you are using a tool that specifically requires Internet Explorer (such as Colleague), please update to a more modern web browser.